Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class Help

    java.lang.Object
      com.sun.interview.Help

    public class Help

extends java.lang.Object

Class that contains a number of static method to work with both JavaTest and JavaHelp objects to make the core JavaTest classes unaware of JavaHelp.

Nested Class Summary
`static class` | `Help.Fault` An exception used to report errors while using a TestSUite object.

Constructor Summary
`Help()`

Method Summary
`static javax.help.HelpSet[]` | `getAdditionalDocs(TestSuite ts)` Get helpsets containing any related documents for this test suite.
`static javax.help.Map.ID` | `getHelpID(Question q)` Get the JavaHelp ID identifying the "more info" help for this question, or null if none.
`static javax.help.HelpSet` | `getHelpSet(Interview i)` Get the help set used to locate the "more info" for each question.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Help

    public Help()

Method Detail

### getHelpSet

    public static javax.help.HelpSet getHelpSet(Interview i)

  Get the help set used to locate the "more info" for each question.

  Parameters:
    `i` - interview
  Returns:
    object returned by i.getHelpSet() casted to the HelpSet type.
  See Also:
    `Interview.setHelpSet(java.lang.String)`

### getHelpID

    public static javax.help.Map.ID getHelpID(Question q)

  Get the JavaHelp ID identifying the "more info" help for this question, or null if none.

  Returns:
    the JavaHelp ID identifying the "more info" help for this question, or null if none.

### getAdditionalDocs

    public static javax.help.HelpSet[] getAdditionalDocs(TestSuite ts)
                                                  throws Help.Fault

  Get helpsets containing any related documents for this test suite. By default, the resource names for the help sets are obtained from getAdditionalDocNames().

  Returns:
    an array of help sets containing docs associated with this testsuite. The array will be empty if there are no such docs.
  Throws:
    `TestSuite.Fault` - if there are problems opening any of the helpsets.
    `Help.Fault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.